
<div class="tab-pane active" id="tab-1">
    <div ng-switch="basicWorkBodyConfig.workInfoMessage">
        <div ng-switch-when="NA">
            <div class="flex-center no-such-activity">
                <p>无此作业</p>
            </div>

        </div>
        <div ng-switch-default>
            <form class="form-horizontal" role="form" name="workInfoForm">
                <div class="form-group">
                    <label  class="um-col-1 um-control-label text-right">描述</label>

                    <div class="col-sm-9 col-xs-9 andon-content-mini">
                <textarea type="text" class="form-control"
                          rows="2" placeholder="长度不可超过40"
                          maxlength="40"
                          name="description"
                          ng-disabled="basicWorkBodyConfig.workInfoIsNoEdit"
                          ng-model="basicWorkBodyConfig.workInfoDatas.description"
                        ng-blur="isChanged()"></textarea>
                    </div>
                </div>
                <div class="form-group ">
                    <div class="checkbox checkbox-primary checkbox-inline checkbox-option">
                        <input type="checkbox" id="inlineCheckbox1"
                               value="option1"
                               name="enabled"
                               ng-disabled="basicWorkBodyConfig.workInfoIsNoEdit"
                               ng-model="basicWorkBodyConfig.workInfoDatas.enabled"
                               ng-change="isChanged()">
                        <label for="inlineCheckbox1">启用</label>
                    </div>

                </div>
                <div class="form-group  ">
                    <div class="checkbox checkbox-primary checkbox-inline checkbox-option">
                        <input type="checkbox" id="inlineCheckbox2"
                               value="option1"
                               name="visible"
                               ng-disabled="basicWorkBodyConfig.workInfoIsNoEdit"
                               ng-model="basicWorkBodyConfig.workInfoDatas.visible"
                               ng-change="isChanged()">
                        <label for="inlineCheckbox2">主页上可见</label>
                    </div>
                </div>
                <div class="form-group">
                    <label class="um-col-1 um-control-label text-right">类型</label>
                    <div class="col-sm-9 col-xs-9 andon-content-mini">
                        <ui-select class="andon-content-ui-select"
                                   name="type"
                                   ng-placeholder="请输入"
                                   ng-click="isChanged()"
                                   ng-model="basicWorkBodyConfig.currentExecutionType"
                                   ng-disabled="basicWorkBodyConfig.workInfoIsNoEdit">
                            <ui-select-match placeholder="--- 请选择 ---">
                                <span ng-bind="$select.selected.value"></span>
                            </ui-select-match>
                            <!-- <ui-select-header>请选择</ui-select-header> -->
                            <ui-select-no-choice>
                                <a href ng-click="$select.toggle($event);">暂无数据</a>
                            </ui-select-no-choice>
                            <ui-select-choices
                                    repeat="item in (basicWorkBodyConfig.executionTypeList | filter: $select.search)">
                                <span ng-bind-html="item.value | highlight: $select.search"></span>
                            </ui-select-choices>
                        </ui-select>
                    </div>

                </div>
                <div class="form-group">
                    <label for="position" class="um-col-1 um-control-label text-right">地址</label>

                    <div class="col-sm-9 col-xs-9 andon-content-mini">
                        <input type="text"
                               class="form-control"
                               id="position"
                               name="classOrProgram"
                               ng-disabled="basicWorkBodyConfig.workInfoIsNoEdit"
                               ng-model="basicWorkBodyConfig.workInfoDatas.classOrProgram"
                               ng-blur="isChanged()"/>
                    </div>
                    <div class="col-sm-9 col-xs-9 andon-content-mini" ng-hide="true">
                        <input type="text"
                               ng-model="basicWorkBodyConfig.workInfoDatas.modifiedDateTime"/>
                        {{workInfoForm.description.$pristine}}
                        {{workInfoForm.enabled.$pristine}}
                        {{workInfoForm.visible.$pristine}}
                        {{workInfoForm.type.$pristine}}
                        {{workInfoForm.classOrProgram.$pristine}}
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 flex-center">
                        <div class="one-line-btns" >
                            <button type="button" class="btn btn btn-primary btn-flex-center"
                                    ng-class="{'disabled':basicWorkBodyConfig.workInfoBtnDisEdit}"
                                    ng-disabled="basicWorkBodyConfig.workInfoBtnDisEdit"
                                    ng-click="workInfoEdit()"
                                    ng-if="basicWorkBodyConfig.editRw">
                            编辑</button></div>
                        <div class="one-line-btns" >
                            <button type="button" class="btn btn btn-primary btn-flex-center"
                                    ng-class="{'hidden':basicWorkBodyConfig.workInfoBtnHiddenCancel}"
                                    ng-click="workInfoCancel()">
                            取消</button></div>
                        <div class="one-line-btns">
                            <button type="button" class="btn btn-primary btn-flex-center"
                                    ng-class="{'hidden':basicWorkBodyConfig.workInfoBtnHiddenSave}"
                                    placeholder=""
                                    ng-click="workInfoSave()">保存</button>
                        </div>

                    </div>
                </div>
            </form>
        </div>
    </div>


</div>